//
// C++ Implementation: accessaction
//
// Description:
//
//
// Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, (C) 2006-2018
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "accessaction.h"

AccessAction::AccessAction(QString pid, QString u, QString h,
                           const QString & text,
                           QObject * parent)
        : QAction(text,parent)
{
    agentPid=pid;
    userName=u;
    hostName=h;
    connect ( this,SIGNAL ( triggered ( bool ) ),this,
              SLOT ( slotActivated() ) );
}


AccessAction::~AccessAction()
{
}


void AccessAction::slotActivated()
{
    emit actionActivated(this);
}
